/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   enemy2.c                                           :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: erey-bet <marvin@42.fr>                    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2023/01/06 19:06:57 by erey-bet          #+#    #+#             */
/*   Updated: 2023/01/09 18:20:20 by erey-bet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "../so_long_bonus.h"

int	ft_strslen(char **src)
{
	int	i;

	i = 0;
	while (src[i])
		i++;
	return (i);
}

int	choice(int **map, int *i, int x, int y)
{
	if (map[x][y] != -1)
	{
		if (*i == -1 || map[x][y] < *i)
		{
			*i = map[x][y];
			return (1);
		}
	}
	return (0);
}

void	finish(t_data *data)
{
	if (data->update < 2)
	{
		data->update = 2;
		mlx_clear_window(data->mlx, data->mlx_win);
	}
	mlx_put_image_to_window(data->mlx, data->mlx_win, data->imgs.finish,
		(data->w_scr / 2) - (780 / 2), (data->h_scr / 2) - (430 / 2));
	data->update++;
	if (data->update >= 10)
	{
		system("pactl set-sink-mute @DEFAULT_SINK@ 0");
		system("pactl set-sink-volume @DEFAULT_SINK@ 30000");
		system("paplay --device=0 finish.ogg");
	}
}

int	ft_sqrt(int nb)
{
	int	i;

	i = 0;
	if (nb == 1)
		return (1);
	while (i * i != nb && i < nb / 2)
	{
		i++;
	}
	return (i);
}

int	dist(t_data *data)
{
	return (ft_sqrt(ft_pow(data->x_ply - data->y_ene, 2)
			+ ft_pow(data->y_ply - data->x_ene, 2)));
}
