/* ************************************************************************** */
/*                                                                            */
/*                                                        :::      ::::::::   */
/*   init2.c                                            :+:      :+:    :+:   */
/*                                                    +:+ +:+         +:+     */
/*   By: erey-bet <marvin@42.fr>                    +#+  +:+       +#+        */
/*                                                +#+#+#+#+#+   +#+           */
/*   Created: 2023/01/06 19:07:02 by erey-bet          #+#    #+#             */
/*   Updated: 2023/01/09 17:58:58 by erey-bet         ###   ########.fr       */
/*                                                                            */
/* ************************************************************************** */

#include "../so_long_bonus.h"

void	if_spawn_enemy(t_data *data)
{
	t_xy	*pos;

	if (data->x_ene != -1 && has_element(data->map, '3'))
	{
		pos = get_position(data->map, '3');
		if (data->x_ply != pos->x || data->y_ply != pos->y)
		{
			set_element(data, pos->x, pos->y, 'e');
			data->x_ene = pos->y;
			data->y_ene = pos->x;
		}
		free(pos);
	}
}

void	*mxfi(t_data *data, char *assets)
{
	int	tmp;

	return (mlx_xpm_file_to_image(data->mlx, assets, &tmp, &tmp));
}

int	trgb(int t, int r, int g, int b)
{
	return (t << 24 | r << 16 | g << 8 | b);
}

int	ft_pow(int nb, int power)
{
	if (power < 0)
		return (0);
	else if (power == 0)
		return (1);
	return (nb * ft_pow(nb, power - 1));
}
